Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 651)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 652)
@@ -82,7 +82,7 @@
 			cmd += "barplot(" + ssizes + ", col=colors, names.arg=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_GRID))	{
+			if(result.isGridVisible())	{
 				cmd += this.getChartsEngine().getGridPlotCmd();
 			}
 			
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 651)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 652)
@@ -80,6 +80,10 @@
 		
 		// shared charts rendering preferences
 		ChartsEnginePreferences.initializeChartsEngineSharedPreferences(preferences);
+		
+		// disable unavailable functionality
+		TXMPreferences.setEmpty(PREFERENCES_NODE, ChartsEnginePreferences.RENDERING_COLORS_MODE);
+
 	}
 	
 }
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 651)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 652)
@@ -8,7 +8,6 @@
 import org.txm.ca.core.chartsengine.base.Utils;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.messages.CACoreMessages;
-import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.ca.core.statsengine.r.functions.FactoMineRCA;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.r.core.RChartCreator;
@@ -118,29 +117,20 @@
 		return destFile;
 	}
 	
-	@Override
-	public Object createChart(ChartResult result) {
-		// TODO Auto-generated method stub
-		return null;
-	}
 
+
 	@Override
 	public File createChartFile(ChartResult result, File file) {
 
 		CA ca = (CA) result;
-		
-		// parameters
-		boolean showIndividual = result.getBooleanParameterValue(CAPreferences.SHOW_INDIVIDUALS);
-		boolean showVariables = result.getBooleanParameterValue(CAPreferences.SHOW_VARIABLES);
-		
 	
 		// FactoMineR R package
 		if(ca.useFactoMineR())	{
-			return this.createFactorialMapChart((FactoMineRCA) ca.getCA(), file, showIndividual, showVariables, ca.getFirstDimension(), ca.getSecondDimension(), Utils.createCAFactorialMapChartTitle(ca));
+			return this.createFactorialMapChart((FactoMineRCA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension(), Utils.createCAFactorialMapChartTitle(ca));
 		}
 		// CA R package
 		else	{
-			return this.createFactorialMapChart((org.txm.ca.core.statsengine.r.functions.CA) ca.getCA(), file, showIndividual, showVariables, ca.getFirstDimension(), ca.getSecondDimension());
+			return this.createFactorialMapChart((org.txm.ca.core.statsengine.r.functions.CA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension());
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 651)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 652)
@@ -153,7 +153,8 @@
 			if (parent.getLayout() instanceof GridLayout)	{
 				this.parametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			}
-
+			
+			
 			// computing parameters components
 			boolean showComputingParameters = false;
 			// only show the area if the result can not compute and is dirty
@@ -603,10 +604,11 @@
 				// FIXME: debug
 				System.err.println("TXMEditor.refresh(): manually updating editor from result.");
 				this.updateEditorFromResult(update);  // subclasses manual settings
-				
-				this.__updateEditorFromResult(update);
 			}
 			
+			this.__updateEditorFromResult(update); // essentially for ChartEditor
+			
+			
 			topToolBar.redraw();
 			CorporaView.refreshObject(this);
 			TXMResultDebugView.refreshView();
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 651)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 652)
@@ -37,18 +37,21 @@
 // null when calling getChildren(), see if that's what we want
 public abstract class TXMResult implements Cloneable, IProgressMonitor {
 
+	
+	public static final DateFormat ID_TIME_FORMAT = new SimpleDateFormat("YYYYMMDD");
+	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-]+"); //$NON-NLS-1$
+	public static final String UNDERSCORE = "_";
+
+	
 	/**
 	 * Unique ID of the object built with : class + date + number
 	 */
 	protected String uniqueID;
-	//protected String path;
-	public static final DateFormat ID_TIME_FORMAT = new SimpleDateFormat("YYYYMMDD");
-	/** Editor can use this to test if the result need to be saved */
+	
+	/**
+	 * Editor can use this to test if the result has been computed once.
+	 */
 	protected boolean hasBeenComputedOnce = false;
-
-	public static final Pattern fileNamePattern = Pattern.compile("[^a-zA-Z0-9\\.-]+"); //$NON-NLS-1$
-	public static final String UNDERSCORE = "_";
-
 	
 	/**
 	 * The weight, essentially used for sorting purpose.
@@ -1125,8 +1128,7 @@
 	public abstract String getSimpleName();
 
 	/**
-	 * Gets some details about how the result has been computed  (eg. additional
-	 * parameters, etc.). Shown in large UI area
+	 * Gets some details about how the result has been computed  (eg. additional parameters, etc.). Shown in large UI area.
 	 * 
 	 * @return
 	 */
@@ -1158,8 +1160,9 @@
 	// FIXME: to discuss and/or to move in export layer
 	public String getValidFileName() {
 		try {
-			 fileNamePattern.matcher(this.getName()).replaceAll(UNDERSCORE); //$NON-NLS-1$
+			 return FILE_NAME_PATTERN.matcher(this.getName()).replaceAll(UNDERSCORE); //$NON-NLS-1$
 		} catch (Exception e) {
+			Log.printStackTrace(e);
 		}
 		return "";
 	}
@@ -1192,13 +1195,6 @@
 		return b.toString();
 	}
 
-	// @Override
-	// public String toString() {
-	// StringBuilder b = new StringBuilder(super.toString());
-	//		b.append(": " + this.getName()); //$NON-NLS-1$
-	// return b.toString();
-	// }
-
 	/**
 	 * Gets the weight of the node. Essentially used for sorting purpose.
 	 * 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 651)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 652)
@@ -83,7 +83,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		final ChartEditor chartEditorPart = SWTChartsComponentsProvider.getActiveChartEditor(event);
+		final ChartEditor chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
 		
 		Shell shell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
 		final FileDialog dialog = new FileDialog(shell, SWT.SAVE);
@@ -103,7 +103,9 @@
 		dialog.setFilterExtensions(extensions);
 		// Select default chart export file format
 		dialog.setFilterIndex(defaultChartFormatIndex);
-		dialog.setFileName(ChartsEngine.cleanFileName(chartEditorPart.getPartName()));
+		
+		dialog.setFileName(chartEditor.getResult().getValidFileName());
+		
 		dialog.setOverwrite(true);
 
 
@@ -142,8 +144,8 @@
 						this.runInit(monitor);
 						monitor.beginTask(RCPMessages.ExportResult_1, 100);
 
-						String outputFormat = chartEditorPart.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(dialog.getFilterIndex());
-						chartEditorPart.exportView(file, outputFormat);
+						String outputFormat = chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(dialog.getFilterIndex());
+						chartEditor.exportView(file, outputFormat);
 
 						if(file.exists()) {
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 651)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 652)
@@ -98,9 +98,6 @@
 		// Select default chart export file format
 		dialog.setFilterIndex(defaultChartFormatIndex);
 
-		// FIXME: how to define a default name here from Object s ? We may need to add a getName() method in TXMResult and check that every results in TXM.
-		// It could be useful for other purposes too
-//		dialog.setFileName(ChartsEngine.cleanFileName(chartEditorPart.getPartName()));
 		dialog.setOverwrite(true);
 
 		if (LastOpened.getFile(ID) != null) {
